ClarisWksText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "ClarisWksDocument.hxx"`
`#include "ClarisWksStruct.hxx"`
`#include "ClarisWksStyleManager.hxx"`
`#include "ClarisWksText.hxx"`

## Classes
struct | ClarisWksTextInternal::PLC
| Internal : the different plc types: mainly for debugging. More...
struct | ClarisWksTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | ClarisWksTextInternal::ParagraphPLC
struct | ClarisWksTextInternal::Section
| internal class used to store a section More...
struct | ClarisWksTextInternal::TextZoneInfo
| internal class used to store a text zone More...
struct | ClarisWksTextInternal::Token
| Internal: class to store field definition: TOKN entry. More...
struct | ClarisWksTextInternal::Zone
struct | ClarisWksTextInternal::State
| Internal: the state of a ClarisWksText. More...
class | ClarisWksTextInternal::SubDocument
| Internal: the subdocument of a ClarisWksDocument. More...

## Namespaces
namespace | ClarisWksTextInternal
| Internal: the structures of a ClarisWksText.

## Enumerations
enum | ClarisWksTextInternal::PLCType { ClarisWksTextInternal::P_Font , ClarisWksTextInternal::P_Ruler , ClarisWksTextInternal::P_Child , ClarisWksTextInternal::P_Section , ClarisWksTextInternal::P_TextZone , ClarisWksTextInternal::P_Token , ClarisWksTextInternal::P_Unknown }
| the different plc type More...
enum | ClarisWksTextInternal::TokenType { ClarisWksTextInternal::TKN_UNKNOWN , ClarisWksTextInternal::TKN_FOOTNOTE , ClarisWksTextInternal::TKN_PAGENUMBER , ClarisWksTextInternal::TKN_GRAPHIC , ClarisWksTextInternal::TKN_FIELD }

## Functions
std::ostream & | ClarisWksTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | ClarisWksTextInternal::operator<< (std::ostream &o, Token const &tok)
| operator<< for Token